Kerbal Space Program - Bug #9368
Planted flags from previous version save falls in 1.1

04/21/2016 04:47 AM - slubman

Status: Updated Start date: 04/21/2016
Severity: Low % Done: 10%
Assignee:

Category: Buildings

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When continuing a save from version 1.0.X in the newer 1.1 version, the planted flags are all falling.

Step to reproduce:

1.In a 1.0.X release plant a flag

2. Load the save in 1.1
3. Observe the flag falling/fallen

History

#1 - 06/22/2016 08:00 AM - captainKerbal

- Status changed from New to Confirmed

- % Done changed from 0 to 10

This also happens on Linux (64 bit).

| can attach a save with this if it helps :D

#2 - 07/17/2016 10:08 AM - TriggerAu
- Status changed from Confirmed to Updated

Can we get a check to make sure this is in 1.1.3. thanks

#3 - 07/18/2016 10:59 AM - sal_vager
- Status changed from Updated to Needs Clarification

- % Done changed from 10 to 0

Setting to 'needs clarification' as we need this checked in the current build :)

#4 - 07/18/2016 06:00 PM - slubman

- File screenshot1.png added

- File screenshot5.png added

- File screenshot10.png added

- File default.zip added

Hello,

The issue still exists with 1.1.3.

Attached is a screenshot of a vanilla install, from a new save where a flag is planted next to the runway.
| also attached the save file (from 1.0.5)

#5 - 07/19/2016 08:41 AM - TriggerAu

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

Thanks slubman, changing the status on this to updated so it can be confirmed

for mfo the status change is part of our bug cleanup that you can read about here:
.com/index.php?

#6 - 09/15/2016 07:06 PM - slubman

Loaded the 1.0.5 save directly into 1.2 pre-release (build 1.2.1479) and the planted flags now stays straight (tested on flags planted on Kerbin, Mun,

Minmus, Duna and Ike)

#7 - 04/02/2019 09:09 AM - captainKerbal

slubman wrote:

Loaded the 1.0.5 save directly into 1.2 pre-release (build 1.2.1479) and the planted flags now stays straight (tested on flags planted on Kerbin,

Mun, Minmus, Duna and lke)

| can confirm that this is fixed for me in 1.6.1 as well.
